GNU bug report logs - #30291
25.2; "ubuntu mono font" and "query-replace" (twice) hangs emacs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Bill Evans <bill@HIDDEN>; dated Tue, 30 Jan 2018 03:10:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 30291 <at> debbugs.gnu.org:


Received: (at 30291) by debbugs.gnu.org; 17 Apr 2018 20:01:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 17 16:01:39 2018
Received: from localhost ([127.0.0.1]:57909 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f8WnL-0006Vx-HB
	for submit <at> debbugs.gnu.org; Tue, 17 Apr 2018 16:01:39 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:37540)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1f8WnJ-0006Vp-Qm
 for 30291 <at> debbugs.gnu.org; Tue, 17 Apr 2018 16:01:38 -0400
Received: from 46.67.12.60.tmi.telenormobil.no ([46.67.12.60] helo=corrigan)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1f8WnG-0002or-9I; Tue, 17 Apr 2018 22:01:36 +0200
Received: from larsi by corrigan with local (Exim 4.89)
 (envelope-from <larsi@HIDDEN>)
 id 1f8Wn9-0002dw-UA; Tue, 17 Apr 2018 22:01:27 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Bill Evans <bill@HIDDEN>
Subject: Re: bug#30291: Acknowledgement (25.2;
 "ubuntu mono font" and "query-replace" (twice) hangs emacs)
References: <4453ec7d-c499-9001-c03f-dcfd7c7cd607@HIDDEN>
 <2c0f6708-cc41-b1a8-acb6-5d6ab9d1fa6f@HIDDEN>
Date: Tue, 17 Apr 2018 22:01:27 +0200
In-Reply-To: <2c0f6708-cc41-b1a8-acb6-5d6ab9d1fa6f@HIDDEN> (Bill
 Evans's message of "Tue, 30 Jan 2018 21:16:41 -0800")
Message-ID: <87d0yxiovc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 30291
Cc: 30291 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Bill Evans <bill@HIDDEN> writes:

> Further information, as mentioned in a comment on StackOverflow
> (https://emacs.stackexchange.com/questions/38449/ubuntu-mono-font-hanging-emacs?noredirect=1#comment60603_38449):
>
> Changing `query-replace-from-to-separator` to something trivial such
> as " -> " also fixes the problem. This suggests that there is (1)
> likely something "different" with Ubuntu Mono's interpretation of the
> right-arrow character, and (2) emacs is not dealing well with that
> different-ness.

Is `query-replace' necessary to trigger the bug, or does evaling

(message "%s" query-replace-from-to-separator)

a couple of times also hang Emacs?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30291; Package emacs. Full text available.

Message received at 30291 <at> debbugs.gnu.org:


Received: (at 30291) by debbugs.gnu.org; 31 Jan 2018 17:30:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 31 12:30:16 2018
Received: from localhost ([127.0.0.1]:51471 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1egwD9-0000Xc-Jf
	for submit <at> debbugs.gnu.org; Wed, 31 Jan 2018 12:30:16 -0500
Received: from gproxy3-pub.mail.unifiedlayer.com ([69.89.30.42]:60510)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bill@HIDDEN>) id 1egvV2-0007su-MX
 for 30291 <at> debbugs.gnu.org; Wed, 31 Jan 2018 11:44:41 -0500
Received: from CMOut01 (unknown [10.0.90.82])
 by gproxy3.mail.unifiedlayer.com (Postfix) with ESMTP id 4C3294359B
 for <30291 <at> debbugs.gnu.org>; Wed, 31 Jan 2018 09:31:24 -0700 (MST)
Received: from host423.hostmonster.com ([67.20.76.123]) by CMOut01 with 
 id 54XL1x0062fcmXX014XPfr; Wed, 31 Jan 2018 09:31:24 -0700
X-Authority-Analysis: v=2.2 cv=Rf/gMxlv c=1 sm=1 tr=0
 a=9niMcDktX7vm7RCIvejFpA==:117 a=9niMcDktX7vm7RCIvejFpA==:17
 a=IkcTkHD0fZMA:10 a=RgaUWeydRksA:10 a=vZ9kNVNKOgm0qS854JAA:9 a=QEXdDO2ut3YA:10
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=8pawexpress.com; s=default; h=Content-Transfer-Encoding:Content-Type:
 In-Reply-To:MIME-Version:Date:Message-ID:From:References:Cc:To:Subject:Sender
 :Reply-To:Content-ID:Content-Description:Resent-Date:Resent-From:
 Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:
 List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=hY9sIRzE2HTgRjZt5WX6cKX2RSpHJSjZqpkwZOMuvJ0=; b=VQSM0CK8/0pqf/PWXDpVaNDNvM
 4Od80ATSfbpHYbfIJpWWLhGBw0gnxiNB2E+I15zthL3Xe62D0DXTyw6gs8auUk9FQsdAt8vO+z8Yl
 h0njyRpqMTW3ry7LrgMwN+ddf;
Received: from 50-196-183-82-static.hfc.comcastbusiness.net
 ([50.196.183.82]:14501 helo=[172.10.237.5])
 by host423.hostmonster.com with esmtpsa
 (TLSv1.2:ECDHE-RSA-AES128-GCM-SHA256:128) (Exim 4.89_1)
 (envelope-from <bill@HIDDEN>)
 id 1egvI7-0019D4-TE; Wed, 31 Jan 2018 09:31:19 -0700
Subject: Re: bug#30291: Acknowledgement (25.2; "ubuntu mono font" and
 "query-replace" (twice) hangs emacs)
To: Eli Zaretskii <eliz@HIDDEN>
References: <4453ec7d-c499-9001-c03f-dcfd7c7cd607@HIDDEN>
 <2c0f6708-cc41-b1a8-acb6-5d6ab9d1fa6f@HIDDEN>
 <83inbif4uc.fsf@HIDDEN>
From: Bill Evans <bill@HIDDEN>
Message-ID: <e3638b6f-43b4-b625-5e76-ec3f73fbd026@HIDDEN>
Date: Wed, 31 Jan 2018 08:31:16 -0800
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:52.0) Gecko/20100101
 Thunderbird/52.6.0
MIME-Version: 1.0
In-Reply-To: <83inbif4uc.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - host423.hostmonster.com
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - 8pawexpress.com
X-BWhitelist: no
X-Source-IP: 50.196.183.82
X-Exim-ID: 1egvI7-0019D4-TE
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: 50-196-183-82-static.hfc.comcastbusiness.net ([172.10.237.5])
 [50.196.183.82]:14501
X-Source-Auth: bill@HIDDEN
X-Email-Count: 2
X-Source-Cap: ZWlncGF3ZXg7ZWlncGF3ZXg7aG9zdDQyMy5ob3N0bW9uc3Rlci5jb20=
X-Local-Domain: yes
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 30291
X-Mailman-Approved-At: Wed, 31 Jan 2018 12:30:13 -0500
Cc: 30291 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)



On 2018-01-31 07:03, Eli Zaretskii wrote:
> Does it help to set use-default-font-for-symbols to the nil value
> (without customizing query-replace-from-to-separator)?

No, it still causes the hang.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30291; Package emacs. Full text available.

Message received at 30291 <at> debbugs.gnu.org:


Received: (at 30291) by debbugs.gnu.org; 31 Jan 2018 15:03:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 31 10:03:23 2018
Received: from localhost ([127.0.0.1]:51370 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1egtv0-00055m-PO
	for submit <at> debbugs.gnu.org; Wed, 31 Jan 2018 10:03:22 -0500
Received: from eggs.gnu.org ([208.118.235.92]:36206)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1egtuz-00055V-0Y
 for 30291 <at> debbugs.gnu.org; Wed, 31 Jan 2018 10:03:21 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1egtuo-0007Ya-TV
 for 30291 <at> debbugs.gnu.org; Wed, 31 Jan 2018 10:03:15 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:53652)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1egtuo-0007YT-Pv; Wed, 31 Jan 2018 10:03:10 -0500
Received: from [176.228.60.248] (port=4066 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1egtuo-0007j9-6G; Wed, 31 Jan 2018 10:03:10 -0500
Date: Wed, 31 Jan 2018 17:03:23 +0200
Message-Id: <83inbif4uc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Bill Evans <bill@HIDDEN>
In-reply-to: <2c0f6708-cc41-b1a8-acb6-5d6ab9d1fa6f@HIDDEN> (message
 from Bill Evans on Tue, 30 Jan 2018 21:16:41 -0800)
Subject: Re: bug#30291: Acknowledgement (25.2;
 "ubuntu mono font" and "query-replace" (twice) hangs emacs)
References: <4453ec7d-c499-9001-c03f-dcfd7c7cd607@HIDDEN>
 <2c0f6708-cc41-b1a8-acb6-5d6ab9d1fa6f@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30291
Cc: 30291 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Bill Evans <bill@HIDDEN>
> Date: Tue, 30 Jan 2018 21:16:41 -0800
> 
> Changing `query-replace-from-to-separator` to something trivial such as 
> " -> " also fixes the problem. This suggests that there is (1) likely 
> something "different" with Ubuntu Mono's interpretation of the 
> right-arrow character, and (2) emacs is not dealing well with that 
> different-ness.
> 
> (I recently upgraded to "GNU Emacs 25.3.1 (x86_64-w64-mingw32) of 
> 2017-09-12", the bug behaves the same. It originally became a problem 
> when I upgraded from emacs24 to emacs25.)

Does it help to set use-default-font-for-symbols to the nil value
(without customizing query-replace-from-to-separator)?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30291; Package emacs. Full text available.

Message received at 30291 <at> debbugs.gnu.org:


Received: (at 30291) by debbugs.gnu.org; 31 Jan 2018 06:34:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 31 01:34:53 2018
Received: from localhost ([127.0.0.1]:50207 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eglyu-0001Qm-3d
	for submit <at> debbugs.gnu.org; Wed, 31 Jan 2018 01:34:53 -0500
Received: from gproxy7-pub.mail.unifiedlayer.com ([70.40.196.235]:56463)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bill@HIDDEN>) id 1egl0f-0008GG-3z
 for 30291 <at> debbugs.gnu.org; Wed, 31 Jan 2018 00:32:37 -0500
Received: from cmgw2 (unknown [10.0.90.83])
 by gproxy7.mail.unifiedlayer.com (Postfix) with ESMTP id A95232173D8
 for <30291 <at> debbugs.gnu.org>; Tue, 30 Jan 2018 22:16:48 -0700 (MST)
Received: from host423.hostmonster.com ([67.20.76.123]) by cmgw2 with 
 id 4tGk1x00k2fcmXX01tGnTM; Tue, 30 Jan 2018 22:16:48 -0700
X-Authority-Analysis: v=2.2 cv=TIA1cxta c=1 sm=1 tr=0
 a=9niMcDktX7vm7RCIvejFpA==:117 a=9niMcDktX7vm7RCIvejFpA==:17
 a=IkcTkHD0fZMA:10 a=RgaUWeydRksA:10 a=Ye9q-bpsAAAA:8 a=9GCOyj70S2NEE8ab7GUA:9
 a=QEXdDO2ut3YA:10
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=8pawexpress.com; s=default; h=Content-Transfer-Encoding:Content-Type:
 MIME-Version:Date:Message-ID:Subject:From:To:Sender:Reply-To:Cc:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=duPOoVZqCyyvVRwPa98m8EAms9YpqixLxqTVEXCFH38=; b=XtXVSPN9t21ZqyHxVsISHzrt1z
 GuXytuDx2QAmpK2K8EDTZ48mBGxHFLXGYTHupsxvcMA/rB7HGFQ6Y25p305p++h8J2jl8wQkOxaPn
 jD/3tQXMWDuohWwBgowHW277h;
Received: from 50-196-183-82-static.hfc.comcastbusiness.net
 ([50.196.183.82]:13788 helo=[172.10.237.4])
 by host423.hostmonster.com with esmtpsa
 (TLSv1.2:ECDHE-RSA-AES128-GCM-SHA256:128) (Exim 4.89_1)
 (envelope-from <bill@HIDDEN>) id 1egklI-001hNx-DP
 for 30291 <at> debbugs.gnu.org; Tue, 30 Jan 2018 22:16:44 -0700
To: 30291 <at> debbugs.gnu.org
From: Bill Evans <bill@HIDDEN>
Subject: Re: bug#30291: Acknowledgement (25.2; "ubuntu mono font" and
 "query-replace" (twice) hangs emacs)
Message-ID: <2c0f6708-cc41-b1a8-acb6-5d6ab9d1fa6f@HIDDEN>
Date: Tue, 30 Jan 2018 21:16:41 -0800
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:52.0) Gecko/20100101
 Thunderbird/52.6.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - host423.hostmonster.com
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - 8pawexpress.com
X-BWhitelist: no
X-Source-IP: 50.196.183.82
X-Exim-ID: 1egklI-001hNx-DP
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: 50-196-183-82-static.hfc.comcastbusiness.net ([172.10.237.4])
 [50.196.183.82]:13788
X-Source-Auth: bill@HIDDEN
X-Email-Count: 2
X-Source-Cap: ZWlncGF3ZXg7ZWlncGF3ZXg7aG9zdDQyMy5ob3N0bW9uc3Rlci5jb20=
X-Local-Domain: yes
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 30291
X-Mailman-Approved-At: Wed, 31 Jan 2018 01:34:50 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Further information, as mentioned in a comment on StackOverflow 
(https://emacs.stackexchange.com/questions/38449/ubuntu-mono-font-hanging-emacs?noredirect=1#comment60603_38449):

Changing `query-replace-from-to-separator` to something trivial such as 
" -> " also fixes the problem. This suggests that there is (1) likely 
something "different" with Ubuntu Mono's interpretation of the 
right-arrow character, and (2) emacs is not dealing well with that 
different-ness.

(I recently upgraded to "GNU Emacs 25.3.1 (x86_64-w64-mingw32) of 
2017-09-12", the bug behaves the same. It originally became a problem 
when I upgraded from emacs24 to emacs25.)





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#30291; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Jan 2018 03:09:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 29 22:09:06 2018
Received: from localhost ([127.0.0.1]:48407 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1egMID-0000S5-B2
	for submit <at> debbugs.gnu.org; Mon, 29 Jan 2018 22:09:06 -0500
Received: from eggs.gnu.org ([208.118.235.92]:49305)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bill@HIDDEN>) id 1egLPp-0007de-Au
 for submit <at> debbugs.gnu.org; Mon, 29 Jan 2018 21:12:54 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bill@HIDDEN>) id 1egLPj-000489-1Y
 for submit <at> debbugs.gnu.org; Mon, 29 Jan 2018 21:12:48 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39613)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bill@HIDDEN>)
 id 1egLPi-000482-UK
 for submit <at> debbugs.gnu.org; Mon, 29 Jan 2018 21:12:46 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:40268)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bill@HIDDEN>) id 1egLPh-0007Q7-Gj
 for bug-gnu-emacs@HIDDEN; Mon, 29 Jan 2018 21:12:46 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bill@HIDDEN>) id 1egLPe-00044O-Aq
 for bug-gnu-emacs@HIDDEN; Mon, 29 Jan 2018 21:12:45 -0500
Received: from gproxy7-pub.mail.unifiedlayer.com ([70.40.196.235]:42332)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bill@HIDDEN>)
 id 1egLPd-0003v8-UX
 for bug-gnu-emacs@HIDDEN; Mon, 29 Jan 2018 21:12:42 -0500
Received: from CMOut01 (unknown [10.0.90.82])
 by gproxy7.mail.unifiedlayer.com (Postfix) with ESMTP id 09CA1217591
 for <bug-gnu-emacs@HIDDEN>; Mon, 29 Jan 2018 18:58:45 -0700 (MST)
Received: from host423.hostmonster.com ([67.20.76.123]) by CMOut01 with 
 id 4Ryg1x0092fcmXX01RyjSy; Mon, 29 Jan 2018 18:58:45 -0700
X-Authority-Analysis: v=2.2 cv=Rf/gMxlv c=1 sm=1 tr=0
 a=9niMcDktX7vm7RCIvejFpA==:117 a=9niMcDktX7vm7RCIvejFpA==:17
 a=IkcTkHD0fZMA:10 a=RgaUWeydRksA:10 a=rwSVs-bZse0wLkaAcY8A:9
 a=PpQUiy3lz8_8uqei:21 a=rq5niOf5j43t9Ix6:21 a=QEXdDO2ut3YA:10
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=8pawexpress.com; s=default; h=Content-Transfer-Encoding:Content-Type:
 MIME-Version:Date:Message-ID:Subject:From:To:Sender:Reply-To:Cc:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=WiNysmLxp5phqN2jaSWQY9ecBdJWCye9eM4gB7gvz/0=; b=FiAk60i7xZMIljXMa4WILYZbYX
 4nHNdoO4ega9uxY60BolBwr5+WGtxYspQRMNqQlyk2noEAtzsKHJo6wCIAA1tDuaqN+4iwBLdFEOv
 PYJdUtmy0UTDkABfGkCIV0NMM;
Received: from 50-196-183-82-static.hfc.comcastbusiness.net
 ([50.196.183.82]:31762 helo=[10.10.237.130])
 by host423.hostmonster.com with esmtpsa
 (TLSv1.2:ECDHE-RSA-AES128-GCM-SHA256:128) (Exim 4.89_1)
 (envelope-from <bill@HIDDEN>) id 1egLC4-003CsY-2I
 for bug-gnu-emacs@HIDDEN; Mon, 29 Jan 2018 18:58:40 -0700
To: bug-gnu-emacs@HIDDEN
From: Bill Evans <bill@HIDDEN>
Subject: 25.2; "ubuntu mono font" and "query-replace" (twice) hangs emacs
Message-ID: <4453ec7d-c499-9001-c03f-dcfd7c7cd607@HIDDEN>
Date: Mon, 29 Jan 2018 17:58:38 -0800
User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:52.0) Gecko/20100101
 Thunderbird/52.6.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - host423.hostmonster.com
X-AntiAbuse: Original Domain - gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - 8pawexpress.com
X-BWhitelist: no
X-Source-IP: 50.196.183.82
X-Exim-ID: 1egLC4-003CsY-2I
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: 50-196-183-82-static.hfc.comcastbusiness.net
 ([10.10.237.130]) [50.196.183.82]:31762
X-Source-Auth: bill@HIDDEN
X-Email-Count: 1
X-Source-Cap: ZWlncGF3ZXg7ZWlncGF3ZXg7aG9zdDQyMy5ob3N0bW9uc3Rlci5jb20=
X-Local-Domain: yes
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 29 Jan 2018 22:09:03 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.4 (----)


Reproducible steps with "emacs -Q":

1. Set the font with (set-face-attribute 'default nil :font "Ubuntu Mono"=
).
2. In any buffer (including *scratch* of a freshly-started emacs).
3. Do a query-replace, it does not matter if anything is found or replace=
d.
4. Do another query-replace. This time, emacs should provide the=20
previous search/replace as default, something ala:
 =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 Query replace (foo --> bar): =
_
 =C2=A0=C2=A0=C2=A0 where the --> is actually a fancy arrow, not dash-das=
h-greaterthan.=20
Emacs always slows down a little in this part.
5. Interrupt (C-g) before completing the act. Emacs hangs (for me).=20
(Occasionally it requires doing this twice, never more than that.)

If I do not set the font (fresh emacs) or set it to another font (e.g.,=20
"Consolas"), no such slow-down or hang occurs with the same steps.

Versions: win10_64, emacs-25.2.1 (vgoulet's 25.2mod3), ubuntu mono 0.80=20
(dtd 2011; non-mono fonts are 0.83 from 2015)




In GNU Emacs 25.2.1 (x86_64-w64-mingw32)
 =C2=A0of 2017-04-24 built on KAEL
Repository revision: 784602b10506c50075aa9463891a47380ebea55f
Windowing system distributor 'Microsoft Corp.', version 10.0.16299
Configured using:
 =C2=A0'configure --prefix=3D/tmp/emacs --without-imagemagick --without-d=
bus
 =C2=A0--with-modules 'CFLAGS=3D-O2 -fomit-frame-pointer -g0''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS MODULES

Important settings:
 =C2=A0 value of $LANG: ENU
 =C2=A0 locale-coding-system: cp1252

Major mode: Lisp Interaction

Minor modes in effect:
 =C2=A0 tooltip-mode: t
 =C2=A0 global-eldoc-mode: t
 =C2=A0 electric-indent-mode: t
 =C2=A0 mouse-wheel-mode: t
 =C2=A0 tool-bar-mode: t
 =C2=A0 menu-bar-mode: t
 =C2=A0 file-name-shadow-mode: t
 =C2=A0 global-font-lock-mode: t
 =C2=A0 font-lock-mode: t
 =C2=A0 blink-cursor-mode: t
 =C2=A0 auto-composition-mode: t
 =C2=A0 auto-encryption-mode: t
 =C2=A0 auto-compression-mode: t
 =C2=A0 line-number-mode: t
 =C2=A0 transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message dired format-spec rfc822 mml
mml-sec password-cache epg epg-config gnus-util mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util help-fns help-mode easymenu
cl-loaddefs pcase cl-lib mail-prsvr mail-utils time-date mule-util
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel dos-w32 ls-lisp disp-table w32-win w32-vars term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
elisp-mode lisp-mode prog-mode register page menu-bar rfn-eshadow timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
frame cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian
slovak czech european ethiopic indian cyrillic chinese charscript
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote w32notify w32 multi-tty
make-network-process emacs)

Memory information:
((conses 16 90268 10268)
 =C2=A0(symbols 56 20082 0)
 =C2=A0(miscs 48 51 126)
 =C2=A0(strings 32 16583 4807)
 =C2=A0(string-bytes 1 439616)
 =C2=A0(vectors 16 11784)
 =C2=A0(vector-slots 8 427318 4744)
 =C2=A0(floats 8 160 33)
 =C2=A0(intervals 56 237 21)
 =C2=A0(buffers 976 20))





Acknowledgement sent to Bill Evans <bill@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#30291; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 17 Apr 2018 20:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.